In-team communication
=====================

Tasks people need to do go in GitLab, but that is *not* how tasks should be communicated.  Whenever possible, anything important enough to be assigned is worth talking about in 'real-time' first, or concomitantly.  Everything needed to understand an issue should be captured in GitLab, but we want to avoid back-and-forth 'huh what?' and 'nuh-uh not me' (un-assign)

Discussion that takes place outside of GitLab needs to be summarized (or copy-pasted) into the relevant issue in the GitLab project.

Zulip
-----

Our primary tool for internal communication is now Zulip, free software group chat software available as [LibreSaaS](https://libresaas.org/).

[agaric.zulipchat.com](https://agaric.zulipchat.com) is the web interface.

[Downloading an application](https://zulipchat.com/apps/) is recommended.


IRC
---

#agaric

Agaric also maintains a channel for worker-owners only.

Freenode has given us operator privileges for this channel.  To use it, we need to register:

```
/msg nickserv identify mlncn pa55w0rd
/chanserv op #agaric mlncn
```

Try to get important meetings on your [Agaric calendar](calendars).

Some of our best clients are also on IRC, as are our partners at [May First Movement Technology (#mayfirst on irc.indymedia.org)](https://support.mayfirst.org/wiki/faq/chat).

## Internal notes

Agarics can get more detail [on communication channels in the wiki](https://gitlab.com/agaric/internal/wikis/Communication-Channels).
